Web monitoring
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Web monitoring action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Check http://buddy.works/ status",
"type": "WEB",
"trigger_time": "ON_EVERY_EXECUTION",
"login": "owner@buddy.works",
"password": "secure!TPR+DWaI7z47j6Ns4kkSJQ==",
"port": "8080",
"destination": "http://buddy.works/",
"post_data": "{ \"test\": \"ok\" }",
"headers": [
{
"name": "User-Agent",
"value": "Buddy"
},
{
"name": "myHeader",
"value": "myHeaderValue"
}
],
"text_existence": true,
"text": "ok"
}'STATUS200 OK